Documents

Document Solution Configuration Delete

DELETE
/documents/configuration/{documentSolutionConfigurationGuid}/delete

Soft-deletes a document solution configuration by its GUID.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Path Parameters

documentSolutionConfigurationGuid*string

GUID of the document solution configuration to delete.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/documents/configuration/a3bb189e-8bf9-3888-9912-ace4e6543002/delete"
{  "result": {    "data": {      "documentSolutionConfigurationGuid": "a3bb189e-8bf9-3888-9912-ace4e6543002",      "message": "DocumentSolutionConfiguration deleted successfully."    },    "statusCode": 200,    "message": "OK"  },  "origin": "DELETE https://api.doctavian.com/v1/documents/configuration/{documentSolutionConfigurationGuid}/delete",  "dateTime": "2026-07-14T09:30:00.000Z",  "operationId": "dc2ecd57ed08cc5d7e6a69a90503e084",  "userId": "cc4af914-c36b-4866-bbc6-65c491eddf9c"}
{  "userId": "9a7e56db-cffb-4437-a029-e42b0642ecda",  "error": {    "statusCode": 400,    "message": "Name is required.",    "innerErrors": [      {        "code": "DATA_NAME_REQUIRED",        "message": "Name is required.",        "userMessage": "Name is required."      }    ]  },  "origin": "DELETE https://api.doctavian.com/v1/documents/configuration/{documentSolutionConfigurationGuid}/delete",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "cac22e3ba705a4861a780c739050399a"}
{  "error": {    "statusCode": 401,    "message": "The request could not be authenticated.",    "innerErrors": [      {        "code": "UNAUTHORIZED",        "message": "The request could not be authenticated.",        "userMessage": "Your session has expired or is invalid. Please sign in again."      }    ]  },  "origin": "DELETE https://api.doctavian.com/v1/documents/configuration/{documentSolutionConfigurationGuid}/delete",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "85bc821e435961d08ac94bfb3cdad6bd",  "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}
{  "error": {    "statusCode": 404,    "message": "The requested resource was not found.",    "innerErrors": [      {        "code": "NOT_FOUND_BY_ID",        "message": "The requested resource was not found.",        "userMessage": "We couldn't find that resource. Check the id and try again."      }    ]  },  "origin": "DELETE https://api.doctavian.com/v1/documents/configuration/{documentSolutionConfigurationGuid}/delete",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "133c9ac2145be9d48b81819b50067d2a",  "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}
{  "userId": "bfb52f8f-ff67-4faf-ba4a-718c1042ab28",  "error": {    "statusCode": 500,    "message": "An unexpected error occurred.",    "innerErrors": [      {        "code": "GET_DATA_SOURCE_ERROR",        "message": "An unexpected error occurred.",        "userMessage": "An unexpected error occurred."      }    ]  },  "origin": "DELETE https://api.doctavian.com/v1/documents/configuration/{documentSolutionConfigurationGuid}/delete",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "d64a340d87d68daa7e29e8ad61e4c710"}